phing-tasks-system

# Class: UpToDateTask Source Location: /tasks/system/UpToDateTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --UpToDateTask
Sets the given property if the specified target has a timestamp greater than all of the source files. #### Author(s): Hans Lellelid <hans@xmpl.org> (Phing) Stefan Bodewig <stefan.bodewig@epost.de> (Ant) William Ferguson <williamf@mincom.com> (Ant) Hiroaki Nakamura <hnakamur@mc.neweb.ne.jp> (Ant) #### Version: $Revision: 526 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved Implements interfaces: Condition | ### Variables $mapperElement | ### Methods createFileset createMapper createSrcfiles evaluate main scanDir setProperty setSrcfile setTargetFile setValue
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 39] Sets the given property if the specified target has a timestamp greater than all of the source files. #### Tags:
author: | Hans Lellelid <hans@xmpl.org> (Phing)
author: | Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
author: | William Ferguson <williamf@mincom.com> (Ant)
author: | Hiroaki Nakamura <hnakamur@mc.neweb.ne.jp> (Ant)
version: | $Revision: 526 $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Variables #### $mapperElement = null [line 47] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### method createFileset [line 116]
`void createFileset( )`
Nested <fileset> element. #### Tags:
access: | public
[ Top ] ### method createMapper [line 125]
`void createMapper( )`
Defines the FileNameMapper to use (nested mapper element). #### Tags:
access: | public
[ Top ] ### method createSrcfiles [line 107]
`void createSrcfiles( )`
Nested <srcfiles> element. #### Tags:
deprecated: | Deprecated since Phing 2.4.0
access: | public
[ Top ] ### method evaluate [line 139]
`boolean evaluate( )`
Evaluate (all) target and source file(s) to see if the target(s) is/are up-to-date. #### Tags:
access: | public
Implementation of: Condition::evaluate [ Top ] ### method main [line 196]
`void main( )`
Sets property to true if target file(s) have a more recent timestamp than (each of) the corresponding source file(s). #### Tags:
throws: | BuildException
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method scanDir [line 214]
`void scanDir( $srcDir, $files)`
#### Tags:
access: | protected
#### Parameters:
PhingFile | $srcDir |
| $files |
[ Top ] ### method setProperty [line 55]
`void setProperty( property $property)`
The property to set if the target file is more up-to-date than (each of) the source file(s). #### Tags:
access: | public
#### Parameters:
property | $property | the name of the property to set if Target is up-to-date.
[ Top ] ### method setSrcfile [line 95]
`void setSrcfile( file $file)`
The file that must be older than the target file if the property is to be set. #### Tags:
access: | public
#### Parameters:
file | $file | the file we are checking against the target file.
[ Top ] ### method setTargetFile [line 82]
`void setTargetFile( file $file)`
The file which must be more up-to-date than (each of) the source file(s) if the property is to be set. #### Tags:
access: | public
#### Parameters:
file | $file | the file we are checking against.
[ Top ] ### method setValue [line 65]
`void setValue( value $value)`
The value to set the named property to if the target file is more up-to-date than (each of) the source file(s). Defaults to 'true'. #### Tags:
access: | public
#### Parameters:
value | $value | the value to set the property to if Target is up-to-date
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:21 +0200 by phpDocumentor 1.4.3